For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch invoices
      • POSTCreate
      • GETGet
      • POSTUpdate
      • DELDelete
      • GETEvents
        • POSTAdd Approver
        • POSTApprove
        • POSTReject
Logo
Sign inBook a demo
API ReferenceInvoiceApproval

Add Approver

POST
https://api.mercoa.com/invoice/:invoiceId/add-approver
POST
/invoice/:invoiceId/add-approver
$curl -X POST https://api.mercoa.com/invoice/in_3d61faa9-1754-4b7b-9fcb-88ff97f368ff/add-approver \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "userId": "user_e24fc81c-c5ee-47e8-af42-4fe29d895506",
> "approvalSlotId": "inap_9bb311c9-7c15-4c9e-8148-63814e0abec6"
>}'

Adds an approver to the invoice. Will select the first available approver slot that is not already filled and assign the approver to it. If no approver slots are available, an error will be returned. An explicit approver slot can be specified by setting the approverSlot field.

Was this page helpful?
Previous

Approve

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

invoiceIdstringRequired
Invoice ID or Invoice ForeignID

Request

This endpoint expects an object.
userIdstringRequired
The ID or the Foreign ID of the user to add to the approval slot.
approvalSlotIdstringOptional
The identifier for the approval slot this user is assigned to.

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented